# PHTML::Select Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Select:

List of all members.

## Public Member Functions

| Select (const char *fname=NULL, const char *attr=NULL)
| Select (const char *fname, DisableCodes disabled, const char *attr=NULL)
virtual | ~Select ()

## Protected Member Functions

virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::Select::Select | ( | const char * | fname = `NULL`,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::Select::Select | ( | const char * | fname,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::Select::~Select | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void PHTML::Select::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::FieldElement.

The documentation for this class was generated from the following file:

- html.h